Package com.xebialabs.deployit.plugin.api.execution

# Enum Class Step.Result

java.lang.Object
java.lang.Enum<Step.Result>
com.xebialabs.deployit.plugin.api.execution.Step.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<Step.Result>`, `Constable`

Enclosing interface:
  `Step<C extends ExecutionContext>`

@Deprecated public static enum Step.Result extends Enum<Step.Result>
Deprecated.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Fail`
  Deprecated.
  `Success`
  Deprecated.
  `Warn`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Step.Result`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this class with the specified name.
  `static Step.Result[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Success

    public static final Step.Result Success
    Deprecated.

  - ### Fail

    public static final Step.Result Fail
    Deprecated.

  - ### Warn

    public static final Step.Result Warn
    Deprecated.

- ## Method Details

  - ### values

    public static Step.Result[] values()
    Deprecated.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Step.Result valueOf(String name)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null